package cn.teammodel.controller.admin.controller;


import cn.teammodel.common.R;
import cn.teammodel.controller.admin.service.FiveEducationService;
import cn.teammodel.model.dto.admin.common.FiveDto;
import cn.teammodel.model.dto.admin.exam.OverViewDto;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.validation.Valid;
import java.util.Map;

@RestController
@RequestMapping("admin/five")
@Api(tags = "管理员端-五育分析")
public class FiveEducationController {
    @Resource
    private FiveEducationService fiveEducationService;
    @PostMapping("getAnalysis")
    @ApiOperation("获取五育看板详细内容")
    public R<Map<String, Object>> getAnalysis(@Valid @RequestBody FiveDto fiveDto, HttpServletRequest request) {
        Map<String, Object> res = fiveEducationService.getAnalysis(fiveDto,request);
        return R.success(res);
    }

}
