package cn.teammodel.model.entity.common;

import cn.teammodel.model.entity.BaseItem;
import com.azure.spring.data.cosmos.core.mapping.Container;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Container(containerName = "School")
@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class GroupList extends BaseItem {

    public String school;
    public String name;
    public String periodId;
    public List<Member> members;
    @Data
    public static class Member
    {
        public String id ;
        //学生所在的学校
        public String code ;
        //帐号类型
        public int type;
        public String groupId ;
        public String groupName ;
        public String nickname ;

    }
}
