package cn.teammodel.model.dto.admin.art;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
@Data
public class FiveArtDto {
    @ApiModelProperty("艺术活动唯一ID")
    public String id;
    @ApiModelProperty("科目ID 针对艺术评测 ID如下 subject_music 为音乐 subject_painting为美术")
    public List<Subs> subjects;
    @ApiModelProperty("学校编码")
    public String code;
    @ApiModelProperty("学段ID")
    public String periodId;
    @ApiModelProperty("区域ID 为了获取当前学校所在区域 配置内容")
    public String areaId;
    @ApiModelProperty("班级ID集合，为了查询效率减少数据回传过大的问题，目前设计了几种方式，查询年级 则传该年级所有班级ID集合（此方式下不会返回学生数据），查指定班级则传对应班级ID即可")
    public List<String> classIds;
    @Data
    public static class Subs {
        public String subjectId;
        public String examId;
    }
}
