package cn.teammodel.model.dto.ai.deepseek;

import cn.teammodel.model.entity.ai.DeepSeekSession.DeepSeekMessage;
import lombok.Data;

/**
 * 添加历史记录请求
 */
@Data
public class HistoryRequestDto {
    /**
     * 会话id
     */
    private String sessionId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 更新历史记录
     */
    private DeepSeekMessage message;
}
